// Sample.h : WavePlay wb_[t@C
//

#include "resource.h"		// C V{

/////////////////////////////////////////////////////////////////////////////
// Wave Buff

BOOL InitWaveBuff(void);
BOOL ExitWaveBuff(void);
BOOL AllocWaveBuff(void);
void FreeWaveBuff(void);

/////////////////////////////////////////////////////////////////////////////
// Wave File

void InitWaveFile(void);
MMRESULT OpenWaveFile(LPCTSTR strFilePath);
MMRESULT CloseWaveFile(void);

/////////////////////////////////////////////////////////////////////////////
// Wave Play

void InitWaveOut(void);
BOOL QueryWaveOutDevice(UINT uDevID);
BOOL OpenWaveOutDevice(UINT uDevID, HWND hWnd);
BOOL CloseWaveOutDevice(void);
BOOL InitPlayWave(void);
BOOL ContPlayWave(HWAVEOUT hWavePlay, LPWAVEHDR pWaveHdr);
void StopPlayWave(void);
BOOL SetWaveOutData(LPWAVEHDR pWaveHdr);
BOOL IsPlaying(void);
BOOL IsPlayDone(void);

